Bug 58 - view chat history button not working
Summary: view chat history button not working
Status: RESOLVED FIXED
Alias: None
Product: ZeXtras
Classification: Unclassified
Component: ZxChat (show other bugs)
Version: 1.6.5
Hardware: -- CentOS 6 - 64bit
: Normal normal
Assignee: ZeXtras Bugzilla Admin
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2013-01-14 18:46 CET by maria
Modified: 2013-03-15 14:02 CET (History)
4 users (show)

See Also:
Browser: ---
Zimlet Chat version: 0.99
Zimbra Version: 8.0.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description maria 2013-01-14 18:46:25 CET
We deployed the zxchat zimlet in our zcs 8.0.2 demo environment to test it out. The view chat history button doesnt work. It appears to be doing some kind of advanced search as the message listing pane shows 'no results found' after clicking on view chat history.
Comment 1 D0s0n 2013-01-14 20:03:42 CET
Hi Maria,
  the history button make a search like this:
"in:Chats from:<user@example.com>"

You can search for the whole Chats folder content typing "in:Chats", but if you don't made any chat sessions you get a 0 result.
To save a chat session you need to close the chat windows (since zxchat 0.98) or logout for more than 2 minutes.

D0s0n
Comment 2 Paul Brzozowski 2013-02-08 08:34:27 CET
Hello D0s0n,

I have tried to follow those steps you mentioned to be able to see history. This is what I do:

1. Chat with someone.
2. Close chat window.
3. Open chat chat again to this contact.
4. Click on 'view chat history'.

and:

1. Chat with someone.
2. Close chat window.
3. Logout.
4. Wait 3 minutes.
5. Login.
6. Right click on contact to view history.

In both cases I have "No results found" message. My test environment is ZIMBRA 8.0.2 NE.
Comment 3 Paul Brzozowski 2013-02-08 08:42:21 CET
Another thing which may be important: I don't have 'Chats' folder in folder list.
Comment 4 Cine 2013-02-08 08:50:51 CET
Hello Paul.

The missing "Chats" folder is perfectly normal, as this folder is not displayed anymore in the Zimbra Web Client since Zimbra 8.0.0.

We are still investigating the issue, I'll report back to you ASAP.

Have a nice day,
Cine
Comment 5 Paul Brzozowski 2013-02-08 11:14:45 CET
Thank you very much for your response Cine, let me know if I can provide any additional info which may be useful for You.
Comment 6 INNOVOT 2013-02-20 09:39:46 CET
Chats folder is showing in ZCS 8.0.2 with the latest version of ZxSuite and ZxChat.